This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 426380 - cannot import photos from my cannon sd200
cannot import photos from my cannon sd200
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-20 11:23 EST by Brian G. Anderson
Modified: 2009-01-09 00:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:34:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian G. Anderson 2007-12-20 11:23:28 EST
Description of problem:
when I plug in my canon sd200 I get prompted to import my photos, to which I say
yes, but gthumb-import fails with the following message:

Camera not ready, multiple 'Identify camera' requests failed: OS error in camera
communication

The kernel log seems fine:
Dec 20 08:11:22 mimzy kernel: usb 4-1: new full speed USB device using uhci_hcd
and address 7
Dec 20 08:11:22 mimzy kernel: usb 4-1: configuration #1 chosen from 1 choice


Version-Release number of selected component (if applicable):
gthumb-2.10.7-1.fc8

i've disables selinux and it still happens

How reproducible:
every time.


Steps to Reproduce:
1. start gthumb-import with sd200 installed
2.
3.
  
Actual results:
import fails to connect to the camera

Expected results:
connect and import


Additional info:
I had this working in fc7
Comment 1 Dan Nicholson 2008-11-06 09:36:08 EST
This is almost certainly because of the gphoto2 drivers in F-9. I have a similar canon camera, and the canon driver in libgphoto2 was pretty bad for a while. Fortunately, the newest stable libgphoto2 release is much better for canons. It's in rawhide if you want to try it:

# yumdownloader --enablerepo=rawhide gphoto2 libgphoto2
# rpm -Uvh gphoto2* libgphoto2*

Look at the news between 2.4.0 (F-9) and 2.4.3 (rawhide). Lots of fixes for canons. 2.4.3 is working very nicely for my powershot a520.

http://www.gphoto.org/news/
Comment 2 Bug Zapper 2008-11-26 04:05:58 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 00:34:15 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.